//
//  GameAnalysys.h
//
//
//  Created by  on 2020/5/10.
//  Copyright © 2020 . All rights reserved.
//
#define GAME_ANALYSYS_VERSION @"4.0.2"

#import <Foundation/Foundation.h>
#ifndef GameAnalysys_h
#define GameAnalysys_h

/*
 *游戏运营支撑平台  api   请选择对应的api进行使用
 */
NS_ASSUME_NONNULL_BEGIN
//性别
typedef enum {
    m_game = 0,   //男
    f_game  = 1,  //女
    o_game = 2,   //其它
} gender_game;



typedef enum {
    start_game = 0,   //开始
    done_game = 1,    //结束
    fail_game = 2,    //失败
}questStatus_game;

@interface GameAnalysys : NSObject

//开启打印日志   正式上线包请关掉
+(void) setPrintLog :(BOOL)print;
// 开启数据统计
+ (void)initWithAppId:(NSString *)appID channelID:(NSString*)channelID;

//注册成功后调用（设定帐号的唯一标识)
+(void)setRegisterWithAccountID:(NSString *)accountID andGender:(gender_game)gender andage:(NSString*)age andServerId:(NSString *)serverId andAccountType:(NSString *)accountType andRole:(NSString*)roleName;
//登陆成功后调用
+(void)setLoginWithAccountID:(NSString *)accountID andGender:(gender_game)gender andage:(NSString*)age andServerId:(NSString *)serverId andlevel:(NSInteger)level andRole:(NSString *)roleName;

//开始支付的时候调用（人民币单位是元）
+(void)setZFStart:(NSString *)tID zfType:(NSString*)zfType hbType:(NSString*)hbType hbAmount:(float)hbAmount virtualCoinAmount:(float)virtualCoinAmount iapName:(NSString*)iapName iapAmount:(NSInteger)iapAmount;

//支付完成的时候调用 ，付费分析,记录玩家充值的金额(人民币单位是元)
+(void)setZF:(NSString *)tID zfType:(NSString*)zfType hbType:(NSString*)hbType hbAmount:(float)hbAmount virtualCoinAmount:(float)virtualCoinAmount iapName:(NSString*)iapName iapAmount:(NSInteger)iapAmount andlevel:(NSInteger)level campID:(NSString*)campID;

//经济系统，虚拟交易发生之后调用
+(void)setEconomy:(NSString *)itemName andEconomyNumber:(NSInteger)itemAmount andEconomyTotalPrice:(float)itemTotalPrice campID:(NSString*)campID;

//任务分析，用户接受任务或完成任务时调用
+(void)setQuest:(NSString *)questId andTaskState:(questStatus_game)questStatus andTaskType:(NSString *)questType ;

//自定义事件分析
+(void)setEvent:(NSString *)eventName andExtra:(nullable NSDictionary *)extra;

//获取设备信息
+(NSString*)getDeviceId;
@end

NS_ASSUME_NONNULL_END
#endif /* GameAnalysys_h */
